demon(6)

NAME
demon - cellular automaton.

SYNOPSIS
demon [--display host:display.screen] [--visual visual] [--window] [--root] [--window-id number] [--count number] [--cycles number] [--delay number] [--ncolors number] [--size number] [--fps]

DESCRIPTION
A cellular automaton that starts with a random field, and organizes it into stripes and spirals.

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--count number
    States. 0 - 20. Default: 0.

--cycles number
    Timeout. 0 - 800000. Default: 1000.

--delay number
    Per-frame delay, in microseconds. Default: 50000 (0.05 seconds.).

--ncolors number
    Number of Colors. Default: 64.

--size number
    Cell Size. -20 - 20. Default: -7.

--fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2002 by David Bagley. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
David Bagley.